#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.11
visibility:           public
id:                   random-source-0.3.0.11-AiadKk9kMscI74XFMnn9M3
key:                  random-source-0.3.0.11-AiadKk9kMscI74XFMnn9M3
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.

category:             Math
abi:                  8b4b6e34faea3c1a27cb6450528da744
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-8.10.2/site-local/random-source-0.3.0.11
library-dirs:         /usr/lib/ghc-8.10.2/site-local/random-source-0.3.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/random-source-0.3.0.11
hs-libraries:         HSrandom-source-0.3.0.11-AiadKk9kMscI74XFMnn9M3
depends:
    base-4.14.1.0 flexible-defaults-0.0.3-DzUP1thxUv48ieY1f0nq3S
    mersenne-random-pure64-0.2.2.0-ErBX8pHgSWBGAkV6tlaDo2 mtl-2.2.2
    mwc-random-0.15.0.1-8l7GMdf1UQvDbumpXSezUL
    primitive-0.7.1.0-ETtwz39fCR4wxHXNeqcnb
    random-1.2.0-7whe9vPfCIO8FAl3LEVyJX
    stateref-0.3-4wfWqmwRLMHJr0J7ORP3wK syb-0.7.1-EJn6avnnYqseQTf54r0Yp
    template-haskell-2.16.0.0 th-extras-0.0.0.4-9yawgKJRnD38RJLeZFXRQg

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

